Skip to main content
GET
/
core
/
webhook-config
List Webhook Configs
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/webhook-config \
  --header 'api_key: <api-key>'
{
  "data": {
    "data": [
      {
        "rootfi_id": 12,
        "rootfi_created_at": "2026-05-15T18:17:02.052Z",
        "rootfi_updated_at": "2026-05-15T18:17:02.052Z",
        "rootfi_organisation_id": 1,
        "webhook_type": "CONNECTION_CHANGED",
        "integration_type": null,
        "name": "Connection webhook",
        "url": "https://example.com/webhooks/rootfi",
        "state": "ENABLED",
        "topics": [],
        "headers": [
          {
            "name": "Authorization",
            "value": "Bearer secret"
          }
        ],
        "signature_header": "X-RootFi-Signature"
      }
    ]
  },
  "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

List webhook configs for your organization.

Query Parameters

ParameterTypeDescription
webhook_typeenumFilter by webhook event type.
integration_typeenumFilter by integration type.

Response

Returns { data: { data: WebhookConfig[] }, request_id }. See overview for the webhook config object shape.

Authorizations

api_key
string
header
required

Query Parameters

webhook_type
enum<string>

Filter by webhook event type.

Available options:
INTEGRATION,
DATA_MODEL_CHANGES,
CONNECTION_CHANGED,
SYNC_STARTED,
SYNC_COMPLETED
integration_type
enum<string>

Filter by integration type. V4-supported integration types only.

Available options:
STRIPE,
NETSUITE,
XERO,
ZOHO_BOOKS,
WAFEQ,
QUICKBOOKS,
QUICKBOOKS_SANDBOX,
BIG_COMMERCE,
WOO_COMMERCE,
OODOO_ACCOUNTING,
SHOPIFY,
FRESHBOOKS

Response

Webhook config list.

request_id
string
required
data
V4ListWebhookConfigsResponse · object
required